Subject: bug#38370: 26.2; Confusing message 'Hunk already applied' in diff-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Aug 2020 17:43:48 +0200

Stefan Monnier <[email-masked]> writes:

>> Yeah, I've always found that messaging to be confusing and worrisome, as
>> if I had entered a command to change the source code instead of just
>> moving around in it.
>
> Hmm... I liked having that information without having to remember how to
> run `diff-test-hunk`.  I agree it was more harmful than useful when moving
> around as in the OP's case, but it was handy when using RET.

Hm...  perhaps we should just change the message instead so it doesn't
sound so much like a warning?  For instance...  Uhm...  No, I can't
think of anything short that can't be interpreted as warning right
now...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no